@import "~sass/media";
@import "~sass/variables";

.social-bg {
    background-color: #fff;
    padding: 2vh;
    width: 60%;
    height: 100%;
    margin: 130px auto 25px;
    border-radius: 0.5vh;
    border: 1px solid #d0cfcf;
    font-size: 13px;
    -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    -webkit-transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
    transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
}
.social-bg .mat-form-field {
    display: block;
    font-size: 1rem;
    line-height: 1.5;
}
.social-bg button.mat-primary {
    margin-top: 1vh;
    height: 100%;
}
.social-txt {
    font-size: 14px;
}
.social-title {
    text-align: center;
    h4 {
        font-size: 20px;
        color: #03A9F4;
    }
}
.social-img {
    margin-bottom: 20px;
    img {
        width: 50px;
        height: 50px;
    }
}

.form-full-width {
  width: 100%;
}
.social-btn {
    display: flex;
    justify-content: center;
}
.social-wrap {
    display: flex;
    justify-content: center;
}

@include for-size(phone-only) {
    .social-bg {
        width: 100%;
    }    
}

@include for-size(tablet-portrait-up){
    .social-bg {
        width: 70%;
    }    
}
@include for-size(tablet-landscape-up){
    .social-bg {
        width: 70%;
    }   
}

